Pool Tokens Info by Pool Address
curl --request GET \
--url https://api.coingecko.com/api/v3/onchain/networks/{network}/pools/{pool_address}/info \
--header 'x-cg-demo-api-key: <api-key>'{
"data": [
{
"id": "solana_So11111111111111111111111111111111111111112",
"type": "token",
"attributes": {
"address": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9,
"image_url": "https://coin-images.coingecko.com/coins/images/21629/large/solana.jpg?1696520989",
"banner_image_url": null,
"coingecko_coin_id": "wrapped-solana",
"gt_score": 88.9908256880734,
"gt_verified": true,
"mint_authority": "no",
"freeze_authority": "no",
"is_honeypot": "unknown",
"developer_address": null,
"developer_holding_percentage": null
},
"relationships": {
"pool": {
"data": {
"id": "solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
"type": "pool"
}
}
}
},
{
"id": "solana_Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"type": "token",
"attributes": {
"address": "Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"name": "Pippin",
"symbol": "pippin",
"decimals": 6,
"image_url": "https://coin-images.coingecko.com/coins/images/51589/large/pippin_logo.png?1731570163",
"banner_image_url": "https://assets.geckoterminal.com/kn680ou6904r03syp0ecu52ihy9c",
"coingecko_coin_id": "pippin",
"gt_score": 86.54440366972477,
"gt_verified": true,
"mint_authority": "no",
"freeze_authority": "no",
"is_honeypot": "unknown",
"developer_address": "4t7dHZcUzNC96d79won5TRZsvwP1bumhPNf3awR5BHdu",
"developer_holding_percentage": "0.0"
},
"relationships": {
"pool": {
"data": {
"id": "solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
"type": "pool"
}
}
}
}
],
"included": [
{
"id": "solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
"type": "pool",
"attributes": {
"base_token_address": "Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"quote_token_address": "So11111111111111111111111111111111111111112",
"sentiment_vote_positive_percentage": 0,
"sentiment_vote_negative_percentage": 0,
"community_sus_report": 27
}
}
]
}Pools
Pool Tokens Info by Pool Address
To query pool metadata (base and quote token details, image, socials, websites, description, contract address, etc.) based on a provided pool contract address on a network
GET
/
onchain
/
networks
/
{network}
/
pools
/
{pool_address}
/
info
Pool Tokens Info by Pool Address
curl --request GET \
--url https://api.coingecko.com/api/v3/onchain/networks/{network}/pools/{pool_address}/info \
--header 'x-cg-demo-api-key: <api-key>'{
"data": [
{
"id": "solana_So11111111111111111111111111111111111111112",
"type": "token",
"attributes": {
"address": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9,
"image_url": "https://coin-images.coingecko.com/coins/images/21629/large/solana.jpg?1696520989",
"banner_image_url": null,
"coingecko_coin_id": "wrapped-solana",
"gt_score": 88.9908256880734,
"gt_verified": true,
"mint_authority": "no",
"freeze_authority": "no",
"is_honeypot": "unknown",
"developer_address": null,
"developer_holding_percentage": null
},
"relationships": {
"pool": {
"data": {
"id": "solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
"type": "pool"
}
}
}
},
{
"id": "solana_Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"type": "token",
"attributes": {
"address": "Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"name": "Pippin",
"symbol": "pippin",
"decimals": 6,
"image_url": "https://coin-images.coingecko.com/coins/images/51589/large/pippin_logo.png?1731570163",
"banner_image_url": "https://assets.geckoterminal.com/kn680ou6904r03syp0ecu52ihy9c",
"coingecko_coin_id": "pippin",
"gt_score": 86.54440366972477,
"gt_verified": true,
"mint_authority": "no",
"freeze_authority": "no",
"is_honeypot": "unknown",
"developer_address": "4t7dHZcUzNC96d79won5TRZsvwP1bumhPNf3awR5BHdu",
"developer_holding_percentage": "0.0"
},
"relationships": {
"pool": {
"data": {
"id": "solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
"type": "pool"
}
}
}
}
],
"included": [
{
"id": "solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
"type": "pool",
"attributes": {
"base_token_address": "Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"quote_token_address": "So11111111111111111111111111111111111111112",
"sentiment_vote_positive_percentage": 0,
"sentiment_vote_negative_percentage": 0,
"community_sus_report": 27
}
}
]
}Notes
- Learn more about GT Score and GT Verified.
holdersdata is currently in Beta, with ongoing improvements to coverage and update frequency.Supported networks
Chain Network idSolana solanaEthereum ethBase baseBNB Chain bscOptimism optimismArbitrum arbitrumPolygon polygon_posTON tonSui sui-networkRobinhood robinhoodRonin roninBittensor bittensordistribution_percentagecoverage:- Solana:
top_10,11_20,21_40,rest - Other chains:
top_10,11_30,31_50,rest
- Solana:
- Bonding curve tokens (non-graduated launchpad tokens) include a
launchpad_detailsobject with graduation status.
Metadata (image, websites, description, socials) may be sourced on-chain and is not vetted by the CoinGecko team.
For CoinGecko-reviewed metadata, use Coin Data by ID or Coin Data by Token Address.
For CoinGecko-reviewed metadata, use Coin Data by ID or Coin Data by Token Address.
For pool market data (price, transactions, volume), use Specific Pool Data instead.
SDK Examples
const response = await client.onchain.networks.pools.info.get('8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt', {
network: 'solana',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Attributes to include.
Available options:
pool Was this page helpful?
⌘I

